## previsat 3.5.1.7+dfsg1

=== debian/changelog ===
previsat (3.5.1.7+dfsg1-4) unstable; urgency=medium

  * Fix FTCBFS: Add qt5-qmake:native to Build-Depends for running lrelease.
    (Closes: #969643), thanks to Helmut Grohne's patch!
  * upgraded to debhelper-compat (= 12), Standards-Version: 4.5.0
  * introduced a an empy target override_dh_dwz: in debian/rules
    to prevent dh_dwz failure

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 06 Sep 2020 17:19:31 +0200

previsat (3.5.1.7+dfsg1-3) unstable; urgency=medium

  * created VCS stuff in d/control
  * upgraded Standards-Version: 4.2.1 and dh level : 11
  * fixed the location of command data in the file previsat.cpp. Closes: #915330
  * added a call to lrelease, added PreviSat_en.qm to installable files,
    modified main.cpp to search language files under
    /usr/share/Astropedia/PreviSat
  * added a build-dependency on qttools5-dev-tools

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 03 Dec 2018 19:19:06 +0100

previsat (3.5.1.7+dfsg1-2) unstable; urgency=medium

  * replaced the macro __DATE__ with "Jun 30 2016"; this should ensure
    a reproducible build.
  * changes for gcc6: patched librairies/corps/satellite/sgp4.h and checked
    the compilation with g++-6. Closes: #812030
  * updated Standards-Version

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 30 Jun 2016 14:28:55 +0200

previsat (3.5.1.7+dfsg1-1) unstable; urgency=medium

  * upgraded to the upstream package
  * repackaged the source, to add PDF's source and compile them with
    LibreOffice.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 08 Feb 2016 11:20:24 +0100

previsat (3.5.0.8+dfsg1-2) unstable; urgency=medium

  * removed the post-installation routine, added documentation files
    sent by the author in private e-mail, rewritten the file
    doc/README.txt to inform users that the PDF files were not generated
    with Microsoft Office.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 09 Jan 2016 18:06:56 +0100

previsat (3.5.0.8+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #761512)
  * written a short manpage
  * repackaged the source to remove sourceless PDF documents;
    added a download procedure during the post-installation to
    retrieve costless PDF documents from http:/previsat.sourceforge.net

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 01 Jan 2016 20:13:26 +0100
