=== debian/control ===
Source: previsat
Section: x11
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 12),
 qtbase5-dev,
 qt5-qmake,
 qt5-qmake:native,
 libqt5webkit5-dev,
 qtmultimedia5-dev,
 qttools5-dev-tools,
 libvlc-dev,
 zlib1g-dev
Standards-Version: 4.5.0
Homepage: http://astropedia.free.fr
Vcs-Browser: https://salsa.debian.org/georgesk/previsat
Vcs-Git: https://salsa.debian.org/georgesk/previsat.git

Package: previsat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: satellite tracking software for observing purposes
 Previsat is very easy to use, it shows positions of artificial
 satellites in real-time or manual mode. PreviSat is able to make
 predictions of their passes and also predictions of Iridium flares.
