## previsat 6.1.5.2

=== debian/changelog ===
previsat (6.1.5.2-2) unstable; urgency=medium

  * use the flag -malign-double only with a few architectures

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Jan 2025 10:44:46 +0100

previsat (6.1.5.2-1) unstable; urgency=medium

  * fixed debian/watch
  * New upstream version 6.1.5.2
  * updated build dependencies, as Qt is now Qt6. Closes: #1093527
  * bumped Standards-Version: 4.7.0
  * simplified debian/rules

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 20 Jan 2025 14:38:08 +0100

previsat (3.5.1.7+dfsg1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Update standards version to 4.6.0, no changes needed.

  [Georges Khaznadar]
  * Bumped Standards-Version: 4.6.2
  
 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 18:51:27 +0100
