=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: x11
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (= 12),
- qtbase5-dev,
- qt5-qmake,
- qt5-qmake:native,
- libqt5webkit5-dev,
- qtmultimedia5-dev,
- qttools5-dev-tools,
- libvlc-dev,
- zlib1g-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+ cmake,
+ cmake-data,
+ extra-cmake-modules (>= 6.0.0),
+ pkgconf,
+ qt6-base-dev,
+ qt6-multimedia-dev,
+ libxkbcommon-dev,
+ qt6-l10n-tools,
+Standards-Version: 4.7.0
 Homepage: http://astropedia.free.fr
 Vcs-Browser: https://salsa.debian.org/georgesk/previsat
 Vcs-Git: https://salsa.debian.org/georgesk/previsat.git
