=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=qmake6

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .qm/ release/

DESTDIR = $(CURDIR)/debian/previsat
