=== debian/watch ===
version=4

# SourceForge hosted projects.
opts="repack, repacksuffix=dfsg, uversionmangle=s/-src//" \
  http://sf.net/previsat/ previsat-(.*)\.tar\.gz
