## previsat 7.2.0.3

=== debian/changelog ===
previsat (7.2.0.3-1) unstable; urgency=medium

  * New upstream version 7.2.0.3

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 07 Dec 2025 18:28:13 +0100

previsat (7.1.0.6-1) UNRELEASED; urgency=medium

  * New upstream version 7.1.0.6
  * enforced the use of gcc-15, checked the build, patched file
    src/configuration/configuration.cpp, and then dismissed gcc-15's
    enforcement. Closes: #1097648
  * added a build dependency: dh-cmake
  * bumped Standards-Version: 4.7.2

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Mar 2025 17:39:57 +0100
