=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
  cmake,
  cmake-data,
  extra-cmake-modules (>= 6.0.0),
+ dh-cmake,
  pkgconf,
  qt6-base-dev,
  qt6-multimedia-dev,
  libxkbcommon-dev,
  qt6-l10n-tools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://astropedia.free.fr
 Vcs-Browser: https://salsa.debian.org/georgesk/previsat
 Vcs-Git: https://salsa.debian.org/georgesk/previsat.git
