=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	: # on amd64 architecture, the executable is in
	: # obj-x86_64-linux-gnu/PreviSat
	install -d debian/previsat/usr/bin
	install -m 755 $$(find obj* -name PreviSat) debian/previsat/usr/bin

DESTDIR = $(CURDIR)/debian/previsat
